Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-50761

Warning during upgrade: Undefined property: stdClass::$grade_minmaxtouse

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.0
    • Fix Version/s: 2.8.7, 2.9.1, 3.0
    • Component/s: Gradebook
    • Labels:
      None
    • Affected Branches:
      MOODLE_30_STABLE
    • Fixed Branches:
      MOODLE_28_STABLE, MOODLE_29_STABLE, MOODLE_30_STABLE

      Description

      I upgraded quite a recent master (probably a week or two) and I had this warning:

      jerome@bepaw:~/moodles/stable_master/moodle/local$ mdk upgrade
      Upgrading stable_master...
      -->Utilitaire d'importation de langues: fr
      ++ Le paquetage de langue « fr » a été installé ++
      -->Système
      PHP Notice: Undefined property: stdClass::$grade_minmaxtouse in /home/jerome/moodles/stable_master/moodle/lib/db/upgradelib.php on line 590
      <div class="php-debug">
      Notice: Undefined property: stdClass::$grade_minmaxtouse in /home/jerome/moodles/stable_master/moodle/lib/db/upgradelib.php on line 590
      </div>++ Succès ++
      -->mod_forum
      ++ Succès ++
      -->mod_glossary
      ++ Succès ++
      -->mod_url
      ++ Succès ++
      -->gradingform_rubric
      ++ Succès ++
      -->repository_youtube
      ++ Succès ++
      Mise à jour terminée avec succès.

      Done.
      jerome@bepaw:~/moodles/stable_master/moodle/local$

      Also see: https://moodle.org/mod/forum/discuss.php?d=316246

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Fix Release Date:
                6/Jul/15